SSL_SESSION_HAS_TICKET(3)

NAME
SSL_SESSION_has_ticket, SSL_SESSION_get_ticket_lifetime_hint - get details about the ticket associated with a session

SYNOPSIS
libssl libcrypto
#include <openssl/ssl.h>
int
SSL_SESSION_has_ticket(const SSL_SESSION *s);
unsigned long
SSL_SESSION_get_ticket_lifetime_hint(const SSL_SESSION *s);

DESCRIPTION
SSL_SESSION_has_ticket() returns 1 if there is a Session Ticket associated with s or 0 otherwise.

SSL_SESSION_get_ticket_lifetime_hint() returns the lifetime hint in seconds associated with the session ticket.

SEE ALSO
ssl(3), SSL_SESSION_get_id(3), SSL_SESSION_get_time(3), SSL_SESSION_new(3)

HISTORY
These functions first appeared in OpenSSL 1.1.0 and have been available since OpenBSD 6.3.